using data.RemoteData.RemoteDataBase.DAO;
using domain.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace data.Repository
{
    public interface IGroupRepository
    {
        List<GroupLocalEntity> GetAllGroup();
        bool RemoveGroupById(int groupID);
        bool UpdateGroupById(int groupID, GroupLocalEntity updatedGroup);
        GroupLocalEntity GetGroupById(int groupID);
        bool AddGroup(GroupLocalEntity newGroup);

    }
}